Fix broken parameter count checking.  [AJ Lewis]
--- diff/drivers/md/dm-log.c	2003-12-29 10:17:03.000000000 +0000
+++ source/drivers/md/dm-log.c	2003-12-29 14:41:59.000000000 +0000
@@ -366,6 +366,11 @@
 	struct log_c *lc;
 	struct dm_dev *dev;
 
+	if (argc != 2) {
+		DMWARN("wrong number of arguments to log_d");
+		return -EINVAL;
+	}
+
 	r = dm_get_device(ti, argv[0], 0, 0 /* FIXME */,
 			  FMODE_READ | FMODE_WRITE, &dev);
 	if (r)
--- diff/drivers/md/dm-raid1.c	2003-12-29 10:17:03.000000000 +0000
+++ source/drivers/md/dm-raid1.c	2003-12-29 14:41:07.000000000 +0000
@@ -1015,7 +1015,7 @@
 		return NULL;
 	}
 
-	if (sscanf(argv[1], "%u", &param_count) != 1 || param_count != 1) {
+	if (sscanf(argv[1], "%u", &param_count) != 1) {
 		ti->error = "dm-mirror: Invalid mirror log argument count";
 		return NULL;
 	}
